Skip to main content
GET
/
api
/
ProjectRole
/
ByContact
/
{contactId}
Get Project Roles for a Contact
curl --request GET \
  --url https://api.virtuoussoftware.com/api/ProjectRole/ByContact/{contactId} \
  --header 'Authorization: Bearer <token>'
{
  "list": [
    {
      "id": "<integer>",
      "contactId": "<integer>",
      "contactName": "<string>",
      "projectDesignationId": "<integer>",
      "projectDesignationName": "<string>",
      "projectRoleTypeId": "<integer>",
      "projectRoleType": "<string>"
    },
    {
      "id": "<integer>",
      "contactId": "<integer>",
      "contactName": "<string>",
      "projectDesignationId": "<integer>",
      "projectDesignationName": "<string>",
      "projectRoleTypeId": "<integer>",
      "projectRoleType": "<string>"
    }
  ],
  "total": "<integer>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contactId
string
required

(Required) The contact identifier.

Query Parameters

skip
string

The number of records to skip. Default = 0.

take
string

The number of records to take. Default = 10.

Response

200 - application/json

OK

list
object[]
total
string
Last modified on June 5, 2026